nvme_submit_io_passthru64(2)

NAME
nvme_submit_io_passthru64 - Submit a 64-bit nvme passthrough command

SYNOPSIS
int nvme_submit_io_passthru64 (int fd , struct nvme_passthru_cmd64 *cmd , __u64 *result );

ARGUMENTS

fd  File descriptor of nvme device

cmd The nvme io command to send

result
    Optional field to return the result from the CQE DW0-1

DESCRIPTION
Uses NVME_IOCTL_IO64_CMD for the ioctl request.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.